1. Properties
Commusoft developer
  • Introduction
    • Introduction
    • Key concepts and relationships
    • Authentication
    • Rate-limits
    • Requests and responses
    • Core concepts and patterns
    • Support and technical support
  • CRM
    • Properties
      • List customer types
        GET
      • List properties
        GET
      • Properties
        GET
      • Customers
        POST
      • Companies
        POST
      • Work addresses
        POST
      • Customers
        PATCH
      • Companies
        PATCH
      • Work addresses
        PATCH
      • Properties
        DELETE
    • Contacts
      • List property contacts
      • Property contacts
      • Property contacts
      • Property contacts
    • Assets
      • Understanding assets
      • List asset groups
      • List asset types
      • Asset structure
      • Assets dynamic fields
      • List assets
      • Assets
      • Assets
      • Assets
      • Assets
    • Scheduled activities
      • List scheduled activities
      • Scheduled activities
      • Scheduled activities
      • Complete Scheduled Activity
      • Scheduled activities
    • Search
      GET
  • Sales
    • Opportunities
      • List opportunity pipelines
      • List opportunity stages
      • List opportunities
      • Opportunities
      • Opportunities
      • Opportunities
      • Opportunities
    • Actions
      • Change opportunity stage
  • Jobs
    • Jobs
      • List job description templates
      • List jobs
      • Jobs
      • Jobs
      • Jobs
      • Jobs
    • Forms
      • List forms
    • Actions
      • Change job stage
      • Put on hold
      • Remove on hold
      • Mark as complete
      • Mark as uncompleted
      • Mark as free of charge
      • Mark as aborted
  • Users & Vehicles
    • Users
      • List users
  • Settings
    • List titles
    • List advertising types
    • List telephone types
    • List business units
    • List user groups
    • List provinces
  • Webhooks
    • Webhooks
    • Example PHP script
  1. Properties

List properties

GET
/properties
A property is either a customer or work site. It represents an address where assets, contracts, opportunities or jobs can be recorded. The list properties end point will return a list of properties.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Query Params

Responses

🟢200Success
application/json
Headers

Bodyapplication/json

🟠400400 Bad request
🟠401401 Unauthorised
🟠403403 Forbidden
🟠404404 Not found
🟠409409 Conflict
🟠429429 Too many requests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/properties' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "meta": {
        "totalRecords": 0,
        "serverTime": "string"
    },
    "pagination": {
        "hasMore": true,
        "nextCursor": 0,
        "prevCursor": 0
    },
    "data": [
        {
            "id": 0,
            "createdOnDateTime": "2019-08-24T14:15:22.123Z",
            "lastUpdatedOnDateTime": "2019-08-24T14:15:22.123Z",
            "type": "customer",
            "customerType": 0,
            "parentPropertyID": 0,
            "status": "active",
            "contact": {
                "id": "string",
                "title": "string",
                "firstName": "string",
                "lastName": "string",
                "telephone": "string",
                "mobile": "string",
                "email": "string"
            },
            "companyName": "string",
            "addressLine1": "string",
            "addressLine2": "string",
            "addressLine3": "string",
            "town": "string",
            "province": "string",
            "provinceID": 0,
            "postcode": "string",
            "buildingTypeID": 0,
            "links": {
                "self": "string",
                "assets": "string",
                "contracts": "string",
                "opportunities": "string",
                "jobs": "string"
            }
        }
    ]
}
Modified at 2026-09-15 11:05:56
Previous
List customer types
Next
Properties
Built with